## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-blosc2
Version:        2.2.2
Release:        %autorelease
Summary:        Python wrapper for the Blosc2 compression library
License:        BSD-3-Clause
URL:            https://blosc.org/python-blosc2/python-blosc2.html
Source0:        https://github.com/Blosc/python-blosc2/archive/refs/tags/v%{version}.tar.gz#/python-blosc2-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-scikit-build
BuildRequires:  python3-Cython
BuildRequires:  python3-numpy
BuildRequires:  gcc
BuildRequires:  gcc-g++
BuildRequires:  ninja-build
# For tests:
BuildRequires:  python3-pytest
BuildRequires:  python3-cpuinfo
BuildRequires:  python3-hypothesis
BuildRequires:  python3-msgpack
BuildRequires:  python3-ndindex
BuildRequires:  python3-rich

%global _description %{expand:
C-Blosc2 is the new major version of C-Blosc, and is backward compatible with
both the C-Blosc1 API and its in-memory format. Python-Blosc2 is a Python
package that wraps C-Blosc2, the newest version of the Blosc compressor.

In addition, Python-Blosc2 aims to leverage the new C-Blosc2 API so as to
support super-chunks, multi-dimensional arrays (NDArray), serialization and
other bells and whistles introduced in C-Blosc2. Although this is always and
endless process, it has already caught up with most of the C-Blosc2 API
capabilities.}

%description %_description

%package -n python3-blosc2
Summary:        %{summary}
Requires:       python3-rich

%description -n python3-blosc2 %_description

%prep
%autosetup -p1 -n python-blosc2-%{version}

# This seems to be the best way to prevent the "bespoke build system" from doing
# a git clone.
rmdir blosc2/c-blosc2

# Did I say "bespoke build system"? Who needs configuration options.
# Configuration options are for woosies.
sed -r -i '/include_package_data=.*/a cmake_args=["-DUSE_SYSTEM_BLOSC2:BOOL=ON"],' \
    setup.py

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} pytest tests/ -v

%files -n  python3-blosc2
%license LICENSE.txt
%doc README.rst RELEASE_NOTES.md
%{python3_sitearch}/blosc2/
%{python3_sitearch}/blosc2-%{version}-py%{python3_version}.egg-info/

%changelog
* Sat May 13 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.2.2-1
- Uncommitted changes

* Sat May 13 2023 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
- First version
